---
apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: minio
spec:
  secretStoreRef:
    kind: ClusterSecretStore
    name: doppler
  target:
    name: minio-secret
    creationPolicy: Owner
    template:
      engineVersion: v2
      data:
        # App
        MINIO_ROOT_USER: "{{ .MINIO_ROOT_USER }}"
        MINIO_ROOT_PASSWORD: "{{ .MINIO_ROOT_PASSWORD }}"
        MINIO_IDENTITY_OPENID_CLIENT_ID: "{{ .MINIO_IDENTITY_OPENID_CLIENT_ID }}"
        MINIO_IDENTITY_OPENID_CLIENT_SECRET: "{{ .MINIO_IDENTITY_OPENID_CLIENT_SECRET }}"
  dataFrom:
    - extract:
        key: MINIO
